%define upstream_name    Dancer2
%define upstream_version 0.166001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Template Toolkit reimplemented in as little code as possible, forked from Template::Tiny
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(Capture::Tiny) >= 0.120.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Config::Any)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(FindBin)
BuildRequires: perl(Foo)
BuildRequires: perl(HTTP::Body)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Headers::Fast)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Server::PSGI)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Protocol::PSGI) >= 0.60.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Base64) >= 3.130.0
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::Types::MooseLike) >= 0.160.0
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(POSIX)
BuildRequires: perl(Plack) >= 1.1.600
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware::FixMissingBodyInRedirect)
BuildRequires: perl(Plack::Middleware::RemoveRedundantBody)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Pod::Simple::Search)
BuildRequires: perl(Pod::Simple::SimpleTree)
BuildRequires: perl(Return::MultiLevel)
BuildRequires: perl(Role::Tiny) >= 1.3.0
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Template)
BuildRequires: perl(Template::Tiny)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Test::Script)
BuildRequires: perl(Test::TCP) >= 1.130.0
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the main module for the Dancer2 distribution. It contains logic for
creating a new Dancer2 application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml
%{_bindir}/dancer2
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.166.1-3pclos2017
- rebuild against updates

